diff --git a/src/backend/access/brin/brin_pageops.c b/src/backend/access/brin/brin_pageops.c
index 6d8dd1512d6..9c3ad1f0bab 100644
--- a/src/backend/access/brin/brin_pageops.c
+++ b/src/backend/access/brin/brin_pageops.c
@@ -237,8 +237,11 @@ brin_doupdate(Relation idxrel, BlockNumber pagesPerRange,
 		OffsetNumber newoff;
 		Size		freespace = 0;
 
+        elog(DEBUG1, "sleep while update");
+        sleep(15);
+        elog(DEBUG1, "Try to revmap for update reg page - update");
 		revmapbuf = brinLockRevmapPageForUpdate(revmap, heapBlk);
-
+        elog(DEBUG1, "Try to revmap for update reg page - update");
 		START_CRIT_SECTION();
 
 		/*
